<template>
  <div class="max-w-xs rounded overflow-hidden shadow-lg" @click="openDetailsBook(book)">
    <img
      v-if="book.volumeInfo.imageLinks?.thumbnail"
      class="w-full"
      :src="book.volumeInfo.imageLinks?.thumbnail"
      :alt="book.volumeInfo.title"
    />

    <img v-else class="w-full" src="../assets/no-cover.png" :alt="book.volumeInfo.title" />
    <div class="px-6 py-4">
      <div class="font-bold text-sm title">
        {{ book.volumeInfo.title }}
      </div>
      <div v-for="author in book.volumeInfo.authors" v-bind:key="author.id" class="text-xs mb-2">
        {{ author }}
      </div>
    </div>
  </div>
</template>
<script>
export default {
  name: "Book",

  props: {
    book: Object,
  },

  methods: {
    openDetailsBook(book) {
      this.$router.push({
        name: "BookDetails",
        params: { isbnBook: this.getIsbn(book) },
      });
    },

    getIsbn(book) {
      let isbn = book.volumeInfo.industryIdentifiers.find((type) => type.type === "ISBN_13");
      return isbn.identifier;
    },

    created() {
      console.log("COUCOU");
    },
  },
};
</script>
